Subject: bug#64311: [PATCH] Fix shell-dirtrack-mode showing up as enabled in unrelated buffers

From: Vladimir Sedach <[email-masked]>
Date: Thu, 29 Jun 2023 10:26:38 -0600

Eli Zaretskii <[email-masked]> writes:

> So making the default value nil will solve the problem?

Yes, but you are asking the wrong question.

When I came upon this problem, the first questions I had were: what
is the variable shell-dirtrackp, and why is it aliased to
shell-dirtrack-mode?

This is why I came up with a fix that follows the X-mode control
variable convention, marks the redundant variable obsolete, replaces
any leftover references to the redundant variable with
shell-dirtrack-mode, and adds unit tests for the control paths of the
affected code.

Instead of a half-assed "let's just flip the value of this boolean
flag" workaround, that doesn't help or explain anything to someone
trying to work with shell.el

--
Vladimir Sedach